# Metrics API

### Path <a href="#endpoint" id="endpoint"></a>

```
/ext/metrics
```

### Usage <a href="#usage" id="usage"></a>

To get the node metrics:

```
//Request
curl -X POST https://ava-api.bwarelabs.com/<your-endpoint-id>/ext/metrics

//Response
Returns a list of metrics related to the node performance
```

### Format <a href="#format" id="format"></a>

This API produces Prometheus compatible metrics. See [here](https://github.com/prometheus/docs/blob/master/content/docs/instrumenting/exposition_formats.md) for information on Prometheus’ formatting.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bwarelabs.com/api-docs/avalanche-api/metrics-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
